# Form implementation generated from reading ui file 'src/eric7/MicroPython/MicroPythonWebreplConnectionDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_MicroPythonWebreplConnectionDialog(object):
    def setupUi(self, MicroPythonWebreplConnectionDialog):
        MicroPythonWebreplConnectionDialog.setObjectName("MicroPythonWebreplConnectionDialog")
        MicroPythonWebreplConnectionDialog.resize(400, 172)
        MicroPythonWebreplConnectionDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(MicroPythonWebreplConnectionDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.label_3 = QtWidgets.QLabel(parent=MicroPythonWebreplConnectionDialog)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 0, 0, 1, 1)
        self.hostEdit = QtWidgets.QLineEdit(parent=MicroPythonWebreplConnectionDialog)
        self.hostEdit.setClearButtonEnabled(True)
        self.hostEdit.setObjectName("hostEdit")
        self.gridLayout.addWidget(self.hostEdit, 0, 1, 1, 2)
        self.label_4 = QtWidgets.QLabel(parent=MicroPythonWebreplConnectionDialog)
        self.label_4.setObjectName("label_4")
        self.gridLayout.addWidget(self.label_4, 1, 0, 1, 1)
        self.portEdit = QtWidgets.QLineEdit(parent=MicroPythonWebreplConnectionDialog)
        self.portEdit.setClearButtonEnabled(True)
        self.portEdit.setObjectName("portEdit")
        self.gridLayout.addWidget(self.portEdit, 1, 1, 1, 2)
        self.label_5 = QtWidgets.QLabel(parent=MicroPythonWebreplConnectionDialog)
        self.label_5.setObjectName("label_5")
        self.gridLayout.addWidget(self.label_5, 2, 0, 1, 1)
        self.passwordEdit = QtWidgets.QLineEdit(parent=MicroPythonWebreplConnectionDialog)
        self.passwordEdit.setEchoMode(QtWidgets.QLineEdit.EchoMode.Password)
        self.passwordEdit.setClearButtonEnabled(True)
        self.passwordEdit.setObjectName("passwordEdit")
        self.gridLayout.addWidget(self.passwordEdit, 2, 1, 1, 1)
        self.showPasswordButton = QtWidgets.QToolButton(parent=MicroPythonWebreplConnectionDialog)
        self.showPasswordButton.setCheckable(True)
        self.showPasswordButton.setObjectName("showPasswordButton")
        self.gridLayout.addWidget(self.showPasswordButton, 2, 2, 1, 1)
        self.label_6 = QtWidgets.QLabel(parent=MicroPythonWebreplConnectionDialog)
        self.label_6.setObjectName("label_6")
        self.gridLayout.addWidget(self.label_6, 3, 0, 1, 1)
        self.deviceTypeComboBox = QtWidgets.QComboBox(parent=MicroPythonWebreplConnectionDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.deviceTypeComboBox.sizePolicy().hasHeightForWidth())
        self.deviceTypeComboBox.setSizePolicy(sizePolicy)
        self.deviceTypeComboBox.setObjectName("deviceTypeComboBox")
        self.gridLayout.addWidget(self.deviceTypeComboBox, 3, 1, 1, 2)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=MicroPythonWebreplConnectionDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 4, 0, 1, 3)

        self.retranslateUi(MicroPythonWebreplConnectionDialog)
        self.buttonBox.accepted.connect(MicroPythonWebreplConnectionDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(MicroPythonWebreplConnectionDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(MicroPythonWebreplConnectionDialog)
        MicroPythonWebreplConnectionDialog.setTabOrder(self.hostEdit, self.portEdit)
        MicroPythonWebreplConnectionDialog.setTabOrder(self.portEdit, self.passwordEdit)
        MicroPythonWebreplConnectionDialog.setTabOrder(self.passwordEdit, self.deviceTypeComboBox)

    def retranslateUi(self, MicroPythonWebreplConnectionDialog):
        _translate = QtCore.QCoreApplication.translate
        MicroPythonWebreplConnectionDialog.setWindowTitle(_translate("MicroPythonWebreplConnectionDialog", "WebREPL Connection"))
        self.label_3.setText(_translate("MicroPythonWebreplConnectionDialog", "Host:"))
        self.hostEdit.setToolTip(_translate("MicroPythonWebreplConnectionDialog", "Enter the host name or IPv4 address of the device."))
        self.label_4.setText(_translate("MicroPythonWebreplConnectionDialog", "Port:"))
        self.portEdit.setToolTip(_translate("MicroPythonWebreplConnectionDialog", "Enter the port of the WebREPL (empty for default port 8266)."))
        self.label_5.setText(_translate("MicroPythonWebreplConnectionDialog", "Password:"))
        self.passwordEdit.setToolTip(_translate("MicroPythonWebreplConnectionDialog", "Enter the password for this device connection."))
        self.showPasswordButton.setToolTip(_translate("MicroPythonWebreplConnectionDialog", "Press to show the password."))
        self.label_6.setText(_translate("MicroPythonWebreplConnectionDialog", "Device Type:"))
        self.deviceTypeComboBox.setToolTip(_translate("MicroPythonWebreplConnectionDialog", "Select the device type"))
